package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.CompanyInfo;
import com.jpsoft.shinestar.modules.base.entity.TotalCheckCompany;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * @author 墨鱼_mo
 * @date 2020-3-27 14:39
 */
@Repository
public interface TotalCheckCompanyDAO {

    TotalCheckCompany get(Long id);

    Integer findMinNormalDay();

    Integer getTotalAbnormalNum();

    Integer findMinNormalDayByCompanyList(List<CompanyInfo> list);

    Integer getTotalAbnormalNumByCompanyList(List<CompanyInfo> list);

    TotalCheckCompany findByCompanyId(String id);

    int insert(TotalCheckCompany totalCheckCompany);

    int update(TotalCheckCompany totalCheckCompany);

    Integer  getTotalCheckNum(@Param("list") List<CompanyInfo> list);


    List<TotalCheckCompany> findAll();


    Date findMaxAbnormalTimeByCompanyList(List<CompanyInfo> list);

    Integer findMaxNormalDayByCompanyList(List<CompanyInfo> list);
}
